<?php

namespace Modules\Faq\Interfaces;

use Illuminate\Http\Request;
use Modules\Faq\Models\Faq;

interface FaqRepositoryInterface
{
    public function get(Request $request);
    public function getItem(Faq $faq);
    public function save(Request $request, ?Faq $faq): Faq;
    public function destroy(Request $request, int $id): array;
    public function destroyAll(Request $request): array;
    public function restore(Request $request, int $id): array;
    public function restoreAll(Request $request): array;
}
